Subject: Re: [net-next,v4 0/2] ravb: Support describing the MDIO bus

From: Niklas Söderlund <[email-masked]>
Date: Thu, 28 Mar 2024 10:45:46 +0100

Hi netdev,

This series was marked as Deferred in patchwork. I just wonder why that 
is? Patch 1/2 touches bindings so it could go thru the Renesas tree but 
patch 2/2 touches the driver and depends on 1/2. Should not this whole 
series go thru net-next?

I fear it might have been flagged as Deferred as v3 was posted on the 
same day net-next closed and was therefore closed as Deferred.

On 2024-03-25 16:34:49 +0100, Niklas Söderlund wrote:
> Hello,
> 
> This series adds support to the binding and driver of the Renesas
> Ethernet AVB to described the MDIO bus. Currently the driver uses the OF
> node of the device itself when registering the MDIO bus. This forces any
> MDIO bus properties the MDIO core should react on to be set on the
> device OF node. This is confusing and non of the MDIO bus properties are
> described in the Ethernet AVB bindings.
> 
> Patch 1/2 extends the bindings with an optional mdio child-node to the
> device that can be used to contain the MDIO bus settings. While patch
> 2/2 changes the driver to use this node (if present) when registering
> the MDIO bus.
> 
> If the new optional mdio child-node is not present the driver fallback
> to the old behavior and uses the device OF node like before. This change
> is fully backward compatible with existing usage of the bindings.
> 
> For changelog see individual patches.
> 
> Niklas Söderlund (2):
>   dt-bindings: net: renesas,etheravb: Add optional MDIO bus node
>   ravb: Add support for an optional MDIO mode
> 
>  .../devicetree/bindings/net/renesas,etheravb.yaml    | 12 ++++++++++--
>  drivers/net/ethernet/renesas/ravb_main.c             |  9 ++++++++-
>  2 files changed, 18 insertions(+), 3 deletions(-)
> 
> -- 
> 2.44.0
> 

-- 
Kind Regards,
Niklas Söderlund